/**************---< TECHNO ROAD.inc >---**************/
/*                                                   */
/*   File        :coron_uart.h                       */
/*   Version     :v3.0.0                             */
/*   Date        :2014/05/09                         */
/*   Author      :                                   */
/*   Description :Coron UART Library Header          */
/*                                                   */
/*   Copyright(C) TECHNO ROAD Inc.                   */
/*                 http://techno-road.com/           */
/*****************************************************/
#ifndef CORON_UART_H_
#define CORON_UART_H_

/* Define ------------------------------------------------------------*/
#define CN_UART	  USART2
#define CN_UART_TX   GPIO_Pin_2
#define CN_UART_RX	  GPIO_Pin_3
#define CN_UART_GPIO GPIOA
#define RCC_APB1Periph_CN_UART RCC_APB1Periph_USART2

#define RING_BUFFER_SIZE (1024)				// Oobt@TCY
extern vu16 wp;								// Cg|C^
extern char ring_buf[RING_BUFFER_SIZE];		// Oobt@

/* Extern ------------------------------------------------------------*/
extern void UART_init(void);				// UART 
extern void UART_putc(char data);			// UART Po
extern void UART_puts(char* buf);			// UART o
extern void UART_putd(char* buf,u16 len);	// UART w萔o(A)
extern signed char UART_getc(char wf);		// UART P(0:M҂ 1:M҂L)
extern u16 UART_gets(char* buf);			// UART 
extern u16 UART_getd(char* buf,u16 len);	// UART w萔(A)
extern char UART_put_x16(char num);			// UART oCi10iASCII16iϊ
extern void UART_putx(u32 num,char len);	// UART 16io(lA\)
extern void UART_putn(s32 num,char len);	// UART 10io(lA\)
void UART_init_ring_buf(void);				// Oobt@
u16 UART_get_cap(void);						// Oobt@f[^擾
char UART_get_ring_buf(void);				// Oobt@ǂݏo
void UART_put_ring_buf(char c);				// Oobt@֏o

#endif /*CORON_UART_H_*/
